@package: Requests
-
methodResponse::decode_body()
JSON decode the response body.
-
methodResponse::is_redirect()
Is the response a redirect?
-
Throws an exception if the request was not successful
-
classResponse
HTTP response class
-
methodResponse::__construct()
Constructor
-
methodRequests::flatten()
Convert a key => value array to a ‘key: value’ array for headers
-
methodRequests::decompress()
Decompress an encoded body
-
Decompression of deflated string while staying compatible with the majority of servers.
-
Send multiple HTTP requests simultaneously
-
Get the default options
-
Get default certificate path.
-
Set default certificate path.
-
methodRequests::set_defaults()
Set the default values
-
HTTP response parser
-
Callback for `transport.internal.parse_response`
-
Decoded a chunked body as per RFC 2616
-
methodRequests::options()
Send an OPTIONS request
-
methodRequests::patch()
Send a PATCH request
-
methodRequests::request()
Main interface for HTTP requests
-
methodRequests::trace()
Send a TRACE request
-
methodRequests::post()
Send a POST request
-
methodRequests::put()
Send a PUT request
-
methodRequests::__construct()
This is a static class, do not instantiate it
-
Register a transport
-
Get the fully qualified class name (FQCN) for a working transport.
-
Get a working transport.
-
Checks to see if we have a transport for the capabilities requested.
-
methodRequests::get()
Send a GET request
-
methodRequests::head()
Send a HEAD request
-
methodRequests::delete()
Send a DELETE request